[Deprecated]: v2.0

put

/ec-codelist-svc/rest/v2.0/codelist/code/{codeId}

Update an existing codelist and/or its values.

Request

Path Parameters
  • ID of the codelist (depending on 'type' parameter, ID can be used as UUID, code name, or tag)
    Example:
    B1B8327AFAA6412287106192AB5984EF
Query Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : CodeV2
Type: object
Show Source
Nested Schema : values
Type: array
Show Source
Nested Schema : CodeValueV2
Type: object
Show Source
Back to Top

Response

Supported Media Types

200 Response

Success
Body ()
Root Schema : BaseCodeListDto
Type: object
Show Source
Nested Schema : code
Type: object
Nested Schema : values
Type: array
Show Source
Nested Schema : items
Type: object
Examples

400 Response

'Missing required code definition', 'Missing required values definition','Missing required field (codeName)','Missing required field (codeType)','Duplicate code name', 'Internal server error'
Body ()
Root Schema : CodeListResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object

500 Response

Internal server error
Body ()
Root Schema : CodeListResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top